FROM python:3.10

RUN useradd seta 
ARG ROOT=/home/seta

WORKDIR $ROOT

# set env variables
ENV PYTHONDONTWRITEBYTECODE=1
ENV PYTHONUNBUFFERED=1

COPY ./requirements.txt ./requirements.txt
RUN pip install --no-cache-dir -r requirements.txt

#copy configuration files
COPY ./config/ui.conf /etc/seta/
COPY ./config/logs.conf /etc/seta/

COPY ./app_auth ./app_auth
COPY ./seta_flask_server ./seta_flask_server

CMD ["gunicorn", "--conf", "/home/seta/app_auth/gunicorn_conf.py", "--bind", "0.0.0.0:8082", "--capture-output" , "--access-logformat", "[seta.auth] %(h)s %(l)s %(u)s %(t)s %(r)s %(s)s %(b)s | %(f)s | %(a)s", "--chdir", "/home/seta/app_auth", "app:app"]
